using Iceshrimp.Backend.Core.Database.Tables;
using Iceshrimp.Frontend.Pages.Settings;
using Iceshrimp.Shared.Schemas.Web;
using Newtonsoft.Json;
using J = System.Text.Json.Serialization.JsonPropertyNameAttribute;

namespace Iceshrimp.Backend.Controllers.Pleroma.Schemas;

public class ReportsResponse
{
	[J("total")]   public          int     Total   { get; set; }
	[J("reports")] public required Reports Reports { get; set; }
}

public class Reports
{
	[J("account")] public required UserResponse Account        { get; set; }
	[J("actor")]   public required UserResponse Actor          { get; set; }
	[J("id")]         public required String   Id           { get; set; }
	[J("created_at")] public required DateTime CreatedAt  { get; set; }
	[J("state")]      public required String   State        { get; set; }
	[J("content")]    public required String   Content      { get; set; }
}